package com.fs.store.domain;

import java.math.BigDecimal;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Builder;

@Builder
/**
 * 免邮费对象 fs_shipping_templates_free
 * 
 * @author fs
 * @date 2022-03-15
 */
public class FsShippingTemplatesFree extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 模板ID */
    @Excel(name = "模板ID")
    private Long tempId;

    /** 省ID */
    @Excel(name = "省ID")
    private Long provinceId;

    /** 城市ID */
    @Excel(name = "城市ID")
    private Long cityId;

    /** 包邮件数 */
    @Excel(name = "包邮件数")
    private BigDecimal number;

    /** 包邮金额 */
    @Excel(name = "包邮金额")
    private BigDecimal price;

    /** 计费方式 */
    @Excel(name = "计费方式")
    private Integer type;


    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTempId(Long tempId) 
    {
        this.tempId = tempId;
    }

    public Long getTempId() 
    {
        return tempId;
    }
    public void setProvinceId(Long provinceId) 
    {
        this.provinceId = provinceId;
    }

    public Long getProvinceId() 
    {
        return provinceId;
    }
    public void setCityId(Long cityId) 
    {
        this.cityId = cityId;
    }

    public Long getCityId() 
    {
        return cityId;
    }
    public void setNumber(BigDecimal number) 
    {
        this.number = number;
    }

    public BigDecimal getNumber() 
    {
        return number;
    }
    public void setPrice(BigDecimal price) 
    {
        this.price = price;
    }

    public BigDecimal getPrice() 
    {
        return price;
    }
    public void setType(Integer type) 
    {
        this.type = type;
    }

    public Integer getType() 
    {
        return type;
    }

}
